Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Class XDisplay

    java.lang.Object
      com.sshtools.j2ssh.forwarding.XDisplay

public class XDisplay
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`XDisplay(java.lang.String string)` Creates a new XDisplay object.
`XDisplay(java.lang.String string, int portOffset)` Creates a new XDisplay object.

Method Summary
`int` | `getDisplay()` DOCUMENT ME!
`java.lang.String` | `getHost()` DOCUMENT ME!
`int` | `getPort()` DOCUMENT ME!
`int` | `getPortOffset()` DOCUMENT ME!
`int` | `getScreen()` DOCUMENT ME!
`void` | `setDisplay(int display)` DOCUMENT ME!
`void` | `setHost(java.lang.String host)` DOCUMENT ME!
`void` | `setPortOffset(int portOffset)` DOCUMENT ME!
`void` | `setScreen(int screen)` DOCUMENT ME!
`void` | `setString(java.lang.String string)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XDisplay

    public XDisplay(java.lang.String string)

  Creates a new XDisplay object.

Parameters:
  `string` - DOCUMENT ME!

### XDisplay

    public XDisplay(java.lang.String string,
                    int portOffset)

  Creates a new XDisplay object.

Parameters:
  `string` - DOCUMENT ME!
  `portOffset` - DOCUMENT ME!

Method Detail

### setPortOffset

    public void setPortOffset(int portOffset)

  DOCUMENT ME!

  Parameters:
    `portOffset` - DOCUMENT ME!

### getPortOffset

    public int getPortOffset()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setString

    public void setString(java.lang.String string)

  DOCUMENT ME!

  Parameters:
    `string` - DOCUMENT ME!

### getPort

    public int getPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getScreen

    public int getScreen()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setHost

    public void setHost(java.lang.String host)

  DOCUMENT ME!

  Parameters:
    `host` - DOCUMENT ME!

### setDisplay

    public void setDisplay(int display)

  DOCUMENT ME!

  Parameters:
    `display` - DOCUMENT ME!

### setScreen

    public void setScreen(int screen)

  DOCUMENT ME!

  Parameters:
    `screen` - DOCUMENT ME!

### getHost

    public java.lang.String getHost()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDisplay

    public int getDisplay()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD